/*
 * Proyecto Final: Estructura de Datos
 * Diccionario
 * JACE - JDSM - ADUA - AAVJ
 */
package Vista;

import Controlador.dao.PalabraDao;
import Controlador.lista.ListaSimple;
import Controladores.ControladorEjemplo;
import Controladores.ControladorIdiomas;
import Controladores.ControladorSinonimos;
import Modelo.enums.Idiomas;
import Modelo.enums.SiglasIdiomas;
import Vista.utiles.UtilidadesComponentes;
import java.awt.Image;
import java.io.File;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.filechooser.FileNameExtensionFilter;


public class FrmPalabra extends javax.swing.JFrame {

    private File imagen;
    private PalabraDao palabraDao = new PalabraDao();
    private ControladorEjemplo ce = new ControladorEjemplo();
    private ControladorIdiomas ci = new ControladorIdiomas();
    private ControladorSinonimos cs = new ControladorSinonimos();

    /**
     * Creates new form frmPalabras
     */
    public FrmPalabra() {
        initComponents();
        limpiar();
    }
    
    /***
     * Método para limpiar todos los campos del FrmPalabra
     */
    private void limpiar() {
        UtilidadesComponentes.cargarComboIdiomas(cbxIdioma);
        txtBuscarImagen.setText(null);
        txtDescripcionEjemplos.setText(null);
        cbxIdioma.setSelectedIndex(1);
        txtPalabra.setText(null);
        txtTraduccion.setText(null);
        txtSiglas.setText(null);
        txtSignificado.setText(null);
        txtSinonimo.setText(null);
        lblImagen.setIcon(null);
        ce.setLista(new ListaSimple<>());
        cs.setSinonimos(new ListaSimple<>());
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jScrollPane2 = new javax.swing.JScrollPane();
        jTree1 = new javax.swing.JTree();
        panelNuevaPalabra = new javax.swing.JPanel();
        lblTituloPalabra = new javax.swing.JLabel();
        lblNombrePalabra = new javax.swing.JLabel();
        btnRegistrarPalabra = new javax.swing.JButton();
        lblSinonimo = new javax.swing.JLabel();
        txtSinonimo = new javax.swing.JTextField();
        lblIdioma = new javax.swing.JLabel();
        txtPalabra = new javax.swing.JTextField();
        jScrollPane1 = new javax.swing.JScrollPane();
        txtSignificado = new javax.swing.JTextArea();
        lblSignificado = new javax.swing.JLabel();
        lblEjemplos = new javax.swing.JLabel();
        btnBuscarImagen = new javax.swing.JButton();
        lblDescripcion = new javax.swing.JLabel();
        jScrollPane3 = new javax.swing.JScrollPane();
        txtDescripcionEjemplos = new javax.swing.JTextArea();
        txtBuscarImagen = new javax.swing.JTextField();
        lblImagen = new javax.swing.JLabel();
        lblimagen = new javax.swing.JLabel();
        btnRegresar = new javax.swing.JButton();
        lblEditarPalabra = new javax.swing.JLabel();
        lblSiglas = new javax.swing.JLabel();
        txtSiglas = new javax.swing.JTextField();
        btnAgregarEjemplos = new javax.swing.JButton();
        cbxIdioma = new javax.swing.JComboBox<>();
        btnAgregarSinonimo = new javax.swing.JButton();
        jSeparator1 = new javax.swing.JSeparator();
        lblTraduccion = new javax.swing.JLabel();
        txtTraduccion = new javax.swing.JTextField();

        jScrollPane2.setViewportView(jTree1);

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        getContentPane().setLayout(null);

        panelNuevaPalabra.setLayout(null);

        lblTituloPalabra.setFont(new java.awt.Font("Tempus Sans ITC", 1, 24)); // NOI18N
        lblTituloPalabra.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblTituloPalabra.setText("Nueva Palabra");
        panelNuevaPalabra.add(lblTituloPalabra);
        lblTituloPalabra.setBounds(0, 10, 1000, 33);

        lblNombrePalabra.setFont(new java.awt.Font("Tempus Sans ITC", 1, 14)); // NOI18N
        lblNombrePalabra.setText("Palabra:");
        panelNuevaPalabra.add(lblNombrePalabra);
        lblNombrePalabra.setBounds(20, 49, 80, 30);

        btnRegistrarPalabra.setFont(new java.awt.Font("Tempus Sans ITC", 0, 14)); // NOI18N
        btnRegistrarPalabra.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagenes/icono_listo.png"))); // NOI18N
        btnRegistrarPalabra.setText("Registrar Nueva Palabra");
        btnRegistrarPalabra.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                RegistrarNuevaPalabra(evt);
            }
        });
        panelNuevaPalabra.add(btnRegistrarPalabra);
        btnRegistrarPalabra.setBounds(680, 390, 260, 40);

        lblSinonimo.setFont(new java.awt.Font("Tempus Sans ITC", 1, 14)); // NOI18N
        lblSinonimo.setText("Sinónimos:");
        panelNuevaPalabra.add(lblSinonimo);
        lblSinonimo.setBounds(20, 150, 80, 19);

        txtSinonimo.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        txtSinonimo.setToolTipText("No olvide presionar el botón Agregar Sinónimo para guardar los datos ingresados en este campo");
        txtSinonimo.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                ControlSoloLetras1(evt);
            }
        });
        panelNuevaPalabra.add(txtSinonimo);
        txtSinonimo.setBounds(110, 140, 220, 30);

        lblIdioma.setFont(new java.awt.Font("Tempus Sans ITC", 1, 14)); // NOI18N
        lblIdioma.setText("Idioma:");
        panelNuevaPalabra.add(lblIdioma);
        lblIdioma.setBounds(20, 190, 80, 19);

        txtPalabra.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        txtPalabra.setToolTipText("Ingrese el nombre de la nueva palabra");
        txtPalabra.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                ControlLetras(evt);
            }
        });
        panelNuevaPalabra.add(txtPalabra);
        txtPalabra.setBounds(110, 50, 350, 30);

        txtSignificado.setColumns(20);
        txtSignificado.setFont(new java.awt.Font("Tempus Sans ITC", 0, 13)); // NOI18N
        txtSignificado.setRows(5);
        jScrollPane1.setViewportView(txtSignificado);

        panelNuevaPalabra.add(jScrollPane1);
        jScrollPane1.setBounds(20, 260, 440, 110);

        lblSignificado.setFont(new java.awt.Font("Tempus Sans ITC", 1, 14)); // NOI18N
        lblSignificado.setText("Significado");
        panelNuevaPalabra.add(lblSignificado);
        lblSignificado.setBounds(20, 230, 90, 17);

        lblEjemplos.setFont(new java.awt.Font("Tempus Sans ITC", 1, 18)); // NOI18N
        lblEjemplos.setText("Ejemplos");
        panelNuevaPalabra.add(lblEjemplos);
        lblEjemplos.setBounds(610, 50, 110, 30);

        btnBuscarImagen.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnBuscarImagen.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagenes/magnifier.png"))); // NOI18N
        btnBuscarImagen.setText("Imagen");
        btnBuscarImagen.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BuscarImagen(evt);
            }
        });
        panelNuevaPalabra.add(btnBuscarImagen);
        btnBuscarImagen.setBounds(510, 240, 90, 30);

        lblDescripcion.setFont(new java.awt.Font("Tempus Sans ITC", 1, 14)); // NOI18N
        lblDescripcion.setText("Descripción");
        panelNuevaPalabra.add(lblDescripcion);
        lblDescripcion.setBounds(510, 90, 90, 19);

        txtDescripcionEjemplos.setColumns(20);
        txtDescripcionEjemplos.setFont(new java.awt.Font("Tempus Sans ITC", 0, 13)); // NOI18N
        txtDescripcionEjemplos.setRows(5);
        txtDescripcionEjemplos.setToolTipText("No olvide presionar el botón Agregar Ejemplos para guardar los datos ingresados en este campo");
        jScrollPane3.setViewportView(txtDescripcionEjemplos);

        panelNuevaPalabra.add(jScrollPane3);
        jScrollPane3.setBounds(610, 90, 330, 100);

        txtBuscarImagen.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        txtBuscarImagen.setEnabled(false);
        panelNuevaPalabra.add(txtBuscarImagen);
        txtBuscarImagen.setBounds(610, 240, 330, 30);

        lblImagen.setAlignmentX(150.0F);
        panelNuevaPalabra.add(lblImagen);
        lblImagen.setBounds(710, 280, 150, 100);

        lblimagen.setFont(new java.awt.Font("Tempus Sans ITC", 1, 11)); // NOI18N
        lblimagen.setText("Imagen");
        panelNuevaPalabra.add(lblimagen);
        lblimagen.setBounds(650, 320, 60, 15);

        btnRegresar.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagenes/icono_regresa.png"))); // NOI18N
        btnRegresar.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                Atras(evt);
            }
        });
        panelNuevaPalabra.add(btnRegresar);
        btnRegresar.setBounds(10, 390, 40, 40);

        lblEditarPalabra.setIcon(new javax.swing.ImageIcon(getClass().getResource("/Imagenes/icono_editarPalabra.png"))); // NOI18N
        panelNuevaPalabra.add(lblEditarPalabra);
        lblEditarPalabra.setBounds(910, 0, 64, 80);

        lblSiglas.setFont(new java.awt.Font("Tempus Sans ITC", 1, 14)); // NOI18N
        lblSiglas.setText("Siglas:");
        panelNuevaPalabra.add(lblSiglas);
        lblSiglas.setBounds(290, 180, 50, 30);

        txtSiglas.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        txtSiglas.setEnabled(false);
        panelNuevaPalabra.add(txtSiglas);
        txtSiglas.setBounds(340, 180, 120, 30);

        btnAgregarEjemplos.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnAgregarEjemplos.setText("Agregar Ejemplos.");
        btnAgregarEjemplos.setToolTipText("No olvide presionar el botón Agregar Ejemplos para guardar los datos ingresados en el campo Descripción del Ejemplo");
        btnAgregarEjemplos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                AgregarEjemplos(evt);
            }
        });
        panelNuevaPalabra.add(btnAgregarEjemplos);
        btnAgregarEjemplos.setBounds(610, 200, 130, 30);

        cbxIdioma.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        cbxIdioma.setModel(new javax.swing.DefaultComboBoxModel<>(new String[] { "1", "2", "3" }));
        cbxIdioma.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cbxIdiomaActionPerformed(evt);
            }
        });
        panelNuevaPalabra.add(cbxIdioma);
        cbxIdioma.setBounds(110, 180, 140, 30);

        btnAgregarSinonimo.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnAgregarSinonimo.setText("Agregar sinónimo");
        btnAgregarSinonimo.setToolTipText("No olvide presionar el botón Agregar Sinónimos para guardar los datos ingresados en el campo Sinónimos");
        btnAgregarSinonimo.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                AgregarSinonimo(evt);
            }
        });
        panelNuevaPalabra.add(btnAgregarSinonimo);
        btnAgregarSinonimo.setBounds(340, 140, 120, 30);

        jSeparator1.setOrientation(javax.swing.SwingConstants.VERTICAL);
        panelNuevaPalabra.add(jSeparator1);
        jSeparator1.setBounds(490, 50, 10, 350);

        lblTraduccion.setFont(new java.awt.Font("Tempus Sans ITC", 1, 14)); // NOI18N
        lblTraduccion.setText("Traducción:");
        panelNuevaPalabra.add(lblTraduccion);
        lblTraduccion.setBounds(20, 90, 90, 30);

        txtTraduccion.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        txtTraduccion.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                ControlSoloLetras(evt);
            }
        });
        panelNuevaPalabra.add(txtTraduccion);
        txtTraduccion.setBounds(110, 90, 350, 30);

        getContentPane().add(panelNuevaPalabra);
        panelNuevaPalabra.setBounds(0, 0, 990, 440);

        setSize(new java.awt.Dimension(1000, 477));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void Atras(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_Atras
        this.dispose();
    }//GEN-LAST:event_Atras

    private void BuscarImagen(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BuscarImagen
        BuscarCargarImagenEjemplo();
    }//GEN-LAST:event_BuscarImagen
    
    /***
     * Método para guardar nueva palabra en FrmPalabra
     */
    private void guardar() {
        palabraDao.setPalabra(null);
        palabraDao.getPalabra().setNombrePalabra(txtPalabra.getText().trim());
        palabraDao.getPalabra().setTraduccion(txtTraduccion.getText().trim());
        palabraDao.getPalabra().setSinonimo(cs.getSinonimos());
        ci.agregarIdiomas();
        palabraDao.getPalabra().setIdiomas(ci.getLista());
        palabraDao.getPalabra().setSignificado(txtSignificado.getText().trim());
        palabraDao.getPalabra().setEjemplos(ce.getLista());
        palabraDao.getPalabra().setImagen(txtBuscarImagen.getText());

        if (palabraDao.getPalabra().getNombrePalabra() != null) {
            if (palabraDao.guardar()) {
                JOptionPane.showMessageDialog(this, "Palabra Registrada Exitosamente");
                limpiar();
                palabraDao.ActualizarArchivoBuscadaPorVoz();
            } else {
                JOptionPane.showMessageDialog(this, "Palabra no Registrada");
            }
        }
    }

    private void RegistrarNuevaPalabra(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_RegistrarNuevaPalabra
        if(!txtPalabra.getText().trim().isEmpty() && !txtTraduccion.getText().trim().isEmpty() && 
                !txtSignificado.getText().trim().isEmpty() && !txtBuscarImagen.getText().trim().isEmpty()){
            if (!palabraDao.PalabraRepetida(txtPalabra.getText().trim())) {
                guardar();
            } else {
                JOptionPane.showMessageDialog(this, "La palabra ya esta registrada en el Diccionario :D");
                limpiar();
            }
        } else {
            JOptionPane.showMessageDialog(this, "Existen Importantes sin llenar");
        }
    }//GEN-LAST:event_RegistrarNuevaPalabra
    
    /***
     * Método para guardarEjemplos en FrmPalabra
     */
    private void guardarEjemplos() {
        ce.setEjemplo(null);
        ce.getEjemplo().setId(String.valueOf(ce.getLista().tamanio() + 1));
        ce.getEjemplo().setDescripcion(txtDescripcionEjemplos.getText().trim());
        ce.guardarEjemplos(ce.getEjemplo());
    }

    private void AgregarEjemplos(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_AgregarEjemplos
        if(!txtDescripcionEjemplos.getText().trim().isEmpty()){
            guardarEjemplos();
            txtDescripcionEjemplos.setText(null);
        }else{
            JOptionPane.showMessageDialog(this, "El campo Descripción de Ejemplo está vacío", "Campo Vacío", 2);
        }
    }//GEN-LAST:event_AgregarEjemplos
    
    /***
     * Método para guardar sinonimos en FrmPalabra
     */
    private void guardarSinonimos() {
        cs.setSinonimo(null);
        cs.setSinonimo(txtSinonimo.getText().trim());
        cs.guardarSinonimo(cs.getSinonimo());
    }

    private void AgregarSinonimo(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_AgregarSinonimo
        if(!txtSinonimo.getText().trim().isEmpty()){
            guardarSinonimos();
            txtSinonimo.setText(null);
        }else{
            JOptionPane.showMessageDialog(this, "El campo Sinónimo está vacío", "Campo Vacío", 2);
        }
    }//GEN-LAST:event_AgregarSinonimo

    private void cbxIdiomaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_cbxIdiomaActionPerformed
        if (!txtPalabra.getText().trim().isEmpty()) {
            if (String.valueOf(cbxIdioma.getSelectedItem()).equals(String.valueOf(Idiomas.Espanol))) {
                txtSiglas.setText(SiglasIdiomas.ES.toString());
            }
            if (String.valueOf(cbxIdioma.getSelectedItem()).equals(String.valueOf(Idiomas.Ingles))) {
                txtSiglas.setText(SiglasIdiomas.EN.toString());
            }
        }
    }//GEN-LAST:event_cbxIdiomaActionPerformed
        
    private void ControlLetras(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_ControlLetras
        char validar = evt.getKeyChar();
        if (Character.isDigit(validar)) {
            getToolkit().beep();
            evt.consume();
            JOptionPane.showMessageDialog(rootPane, "Ingrese solo letras", "Datos inválidos", JOptionPane.WARNING_MESSAGE);
        }
    }//GEN-LAST:event_ControlLetras

    private void ControlSoloLetras(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_ControlSoloLetras
        char validar = evt.getKeyChar();
        if (Character.isDigit(validar)) {
            getToolkit().beep();
            evt.consume();
            JOptionPane.showMessageDialog(rootPane, "Ingrese solo letras", "Datos inválidos", JOptionPane.WARNING_MESSAGE);
        }
    }//GEN-LAST:event_ControlSoloLetras

    private void ControlSoloLetras1(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_ControlSoloLetras1
        char validar = evt.getKeyChar();
        if (Character.isDigit(validar)) {
            getToolkit().beep();
            evt.consume();
            JOptionPane.showMessageDialog(rootPane, "Ingrese solo letras", "Datos inválidos", JOptionPane.WARNING_MESSAGE);
        }
    }//GEN-LAST:event_ControlSoloLetras1
    
    /**
     * Método para buscar imagenes en FrmPalabra
     */
    private void BuscarCargarImagenEjemplo() {
        int resultado;
        FrmBuscadorImagenes buscador = new FrmBuscadorImagenes();
        FileNameExtensionFilter formato = new FileNameExtensionFilter("JPG, PNG y GIT", "jpg", "img", "png", "git");
        buscador.jfcImg.setFileFilter(formato);
        resultado = buscador.jfcImg.showOpenDialog(null);

        if (JFileChooser.APPROVE_OPTION == resultado) {
            imagen = buscador.jfcImg.getSelectedFile();
            txtBuscarImagen.setText(imagen.getAbsolutePath());
            try {
                ImageIcon ImgIcon = new ImageIcon(imagen.toString());
                Icon icono = new ImageIcon(ImgIcon.getImage().getScaledInstance(lblImagen.getWidth(), lblImagen.getHeight(), Image.SCALE_DEFAULT));
                lblImagen.setIcon(icono);
            } catch (Exception e) {
                JOptionPane.showMessageDialog(this, "Error al abrir: " + e);
            }
        }
    }

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FrmPalabra.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FrmPalabra.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FrmPalabra.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FrmPalabra.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new FrmPalabra().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAgregarEjemplos;
    private javax.swing.JButton btnAgregarSinonimo;
    private javax.swing.JButton btnBuscarImagen;
    private javax.swing.JButton btnRegistrarPalabra;
    private javax.swing.JButton btnRegresar;
    private javax.swing.JComboBox<String> cbxIdioma;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane3;
    private javax.swing.JSeparator jSeparator1;
    private javax.swing.JTree jTree1;
    private javax.swing.JLabel lblDescripcion;
    private javax.swing.JLabel lblEditarPalabra;
    private javax.swing.JLabel lblEjemplos;
    private javax.swing.JLabel lblIdioma;
    private javax.swing.JLabel lblImagen;
    private javax.swing.JLabel lblNombrePalabra;
    private javax.swing.JLabel lblSiglas;
    private javax.swing.JLabel lblSignificado;
    private javax.swing.JLabel lblSinonimo;
    private javax.swing.JLabel lblTituloPalabra;
    private javax.swing.JLabel lblTraduccion;
    private javax.swing.JLabel lblimagen;
    private javax.swing.JPanel panelNuevaPalabra;
    private javax.swing.JTextField txtBuscarImagen;
    private javax.swing.JTextArea txtDescripcionEjemplos;
    private javax.swing.JTextField txtPalabra;
    private javax.swing.JTextField txtSiglas;
    private javax.swing.JTextArea txtSignificado;
    private javax.swing.JTextField txtSinonimo;
    private javax.swing.JTextField txtTraduccion;
    // End of variables declaration//GEN-END:variables
}
